<?php

namespace Fastrack\Core\Extension;

use Fastrack\Core\Util\ModelUtilities;
use SilverStripe\Forms\FieldList;
use SilverStripe\Forms\HeaderField;
use SilverStripe\Forms\TextField;
use SilverStripe\ORM\DataExtension;

class ExternalServicesExtension extends DataExtension
{

	private static array $db = [
		'GoogleMapAPIKey' => 'Varchar',
		'GoogleReCaptchaKey' => 'Varchar',
		'GoogleReCaptchaSecretKey' => 'Varchar',
	];

	public function updateCMSFields(FieldList $fields): void
	{
		$fields->addFieldsToTab('Root.ExternalServices', [
			HeaderField::create('GoogleMaps', 'Google Maps'),
			TextField::create('GoogleMapAPIKey', 'Google Maps API Key'),
			HeaderField::create('GoogleReCaptcha', 'Google ReCaptcha'),
			TextField::create('GoogleReCaptchaKey', 'Google ReCaptcha Key'),
			TextField::create('GoogleReCaptchaSecretKey', 'Google ReCaptcha Secret Key'),
		]);
		ModelUtilities::hideFields($this->getOwner(), $fields);
	}

}
